org.apache.nutch.parse

## Class ParsePluginsReader

- java.lang.Object
- - org.apache.nutch.parse.ParsePluginsReader

-     public class ParsePluginsReader
      extends java.lang.Object

  A reader to load the information stored in the `$NUTCH_HOME/conf/parse-plugins.xml` file.
  Version:
    1.0
  Author:
    mattmann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsePluginsReader()` Constructs a new ParsePluginsReader

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFParsePluginsFile()`
    `static void` | `main(java.lang.String[] args)` Tests parsing of the parse-plugins.xml file.
    `ParsePluginList` | `parse(Configuration conf)` Reads the `parse-plugins.xml` file and returns the `ParsePluginList` defined by it.
    `void` | `setFParsePluginsFile(java.lang.String parsePluginsFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsePluginsReader

          public ParsePluginsReader()

      Constructs a new ParsePluginsReader

  - ### Method Detail

    - #### parse

          public ParsePluginList parse(Configuration conf)

      Reads the `parse-plugins.xml` file and returns the `ParsePluginList` defined by it.
      Returns:
        A `ParsePluginList` specified by the `parse-plugins.xml` file.

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Tests parsing of the parse-plugins.xml file. An alternative name for the file can be specified via the `--file` option, although the file must be located in the `$NUTCH_HOME/conf` directory.
      Parameters:
        `args` - Currently only the --file argument to specify an alternative name for the parse-plugins.xml file is supported.
      Throws:
        `java.lang.Exception`

    - #### getFParsePluginsFile

          public java.lang.String getFParsePluginsFile()

      Returns:
        Returns the fParsePluginsFile.

    - #### setFParsePluginsFile

          public void setFParsePluginsFile(java.lang.String parsePluginsFile)

      Parameters:
        `parsePluginsFile` - The fParsePluginsFile to set.

Copyright © 2019 The Apache Software Foundation